
.container {   
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 60vh;
  text-align: center;
}

h1 {
  margin-bottom: 20px;
}

.search-box {
  display: flex;
  align-items: center;
  background: white;
  border-radius: 50px;
  padding: 5px 10px;
  width: 90%;
  max-width: 500px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
  transition: transform 0.3s ease;
}

.search-box:hover {
  transform: scale(1.05);
}

.search-box input {
  flex: 1;
  border: none;
  border-radius: 50px;
  padding: 10px;
  outline: none;
  font-size: 16px;
  pointer-events: auto;
  z-index: 1;
  position: relative;
  color: black;
}

.search-box button {
  background-color: rgb(172, 98, 169);
  border: 1px solid transparent;
  border-radius: 50px;
  padding: 10px 20px;
  font-size: 16px;
  color: black;
  cursor: pointer;
  margin-left: 10px;
}

.search-box button:hover {
  background-color: rgb(172, 85, 169);
  color:black;
  border-color:black;
}

@media (max-width: 420px) {
  .search-box {
    position: relative; /* İçindeki elemanların konumlandırılmasına olanak sağlar */
  }

  .search-box button {
    position: absolute;  /* Butonu kapsayıcısına göre konumlandır */
    bottom: -70px;       /* Kapsayıcıdan 50px aşağıda konumlandır */
    left: 50%;           /* Soldan %50 mesafeye getir */
    transform: translateX(-50%); /* Tam merkeze hizalar */
    margin: 0;           /* Varsayılan margin'i sıfırlar */

  }

}

